PHP kézikönyv
Előző |  | Következő

# ps_setmiterlimit

(PECL)

ps_setmiterlimit -- Sets the miter limit

## Leírás

bool ps_setmiterlimit ( resource psdoc, float value )

If two lines join in a small angle and the line join is set to PS_LINEJOIN_MITER, then the resulting spike will be very long. The miter limit is the maximum ratio of the miter length (the length of the spike) and the line width.

## Paraméterek

psdoc

  Resource identifier of the postscript file as returned by ps_new().

value

  The maximum ratio between the miter length and the line width. Larger values (> 10) will result in very long spikes when two lines meet in a small angle. Keep the default unless you know what you are doing.

## Visszatérési értékek

Siker esetén `TRUE` értékkel tér vissza, ellenkező esetben `FALSE` értéket ad.

## Lásd még

ps_setlinecap()
ps_setlinejoin()
ps_setlinewidth()

Előző | Tartalom | Következő
ps_setlinewidth | Fel | ps_setpolydash